<%
var parentPkgName=GetGParamValue('EZGEN_ROOT_PKGNAME'); //上级包名
if(!parentPkgName)parentPkgName='com.ezdml.codegen.ezdmlcodegendemo';

var tb=curTable; //当前表
var ClsName=AutoCapProc(tb.name,'ClassName'); //类名（驼峰命名，首字母大写）
var tbName=AutoCapProc(tb.name,'FieldName'); //字段名（驼峰命名，首字母小写）
%>package ${parentPkgName}.${AutoCapProc(curModel.name,'JavaPackageName')}.${AutoCapProc(tb.name,'JavaPackageName')};

import java.util.List;

public interface ${ClsName}Service {

    List<${ClsName}> findAll();
    List<${ClsName}> findByIds(Iterable<Long> ids);
    ${ClsName} findById(Long id);
    long count();

    ${ClsName} add(${ClsName} ${tbName});
    ${ClsName} update(${ClsName} ${tbName});

    void delete(${ClsName} ${tbName});
    void deleteById(Long id);
    void deleteByIds(Iterable<Long> ids);

}
